%define name 	bluez-gnome
%define version 0.6
%define release %mkrel 2

Summary: 	Bluetooth PIN GUI
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://www.bluez.org/
License: 	GPL
Group: 		Communications
Source0: 	%name-%version.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  libdbus-glib-devel
BuildRequires:  libGConf2-devel
BuildRequires:  gtk2-devel

Buildroot: 	%_tmppath/%name-%version-buildroot

%description
A GTK2 helper app for Bluetooth PIN number.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Communications" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sysconfdir/xdg/autostart/bluetooth-applet.desktop
%_bindir/bluetooth-applet
%_bindir/bluetooth-properties
%_datadir/applications/*.desktop


%changelog
* Fri Mar 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-2mdv2007.0
+ Revision: 131004
- reenable menu, seems to need it for autostart

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2007.1
+ Revision: 130862
- fix buildrequires
- gtk2-devel
- libGConf2_4-devel
- buildrequires libdbus-glib-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix mistakes in SPEC
    - Add BR
    - New release 0.6  Menu entry not needed its an applet

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.6

* Tue Sep 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
+ Revision: 60182
- import bluez-gnome-0.4-1mdv2007.0


* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
- First Mandriva release

